/*
 * This file is part of DebGen Biobank Software developed by ASTRID Research.
 * All rights reserved. Reproduction, modification, use or disclosure
 * to third parties without express authority is forbidden.
 *
 * Copyright ASTRID Research Inc., Hungary, 2009-2011.
 *
 * ASTRID Research
 * Headquaters: Csapo utca 42. Debrecen H-4029 HUNGARY
 * Phone: +36-52-533-173        Fax: +36-52-533-174
 * Web: http://www.astrid.hu    E-mail: info@astrid.hu
 *
 * Project name: DebGen Biobank Software project.
 * URLS:
 * Developers: Istvan Zoltan Nagy (istvan.nagy@astrid.hu)
 */
package hu.astrid.debgen.patientmanagement.domain.modules.requests;

import hu.astrid.xmltools.beantoxml.XmlToBeanConverter;
import org.w3c.dom.Document;
import org.w3c.dom.Element;
import org.w3c.dom.Node;

import javax.persistence.Entity;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import javax.servlet.http.HttpServletRequest;
import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * Class of Onkohaematology Analisys Requests
 *
 * @author inagy
 */
@Entity
public class AnalysisRequestOnkohaematology extends AnalysisRequest {

    private static final long serialVersionUID = 1L;
    protected boolean onCitogenetical;
    protected boolean onCitBone;
    protected boolean onCitBlood;
    protected boolean onCitTumor;
    protected boolean onCitFirst;
    protected String onCitPreviousResult;
    @Temporal(TemporalType.DATE)
    protected Date onCitPreviousDate;
    protected boolean onDNAPreparation;
    protected boolean onDNAStoredSample;
    @Temporal(TemporalType.DATE)
    protected Date onDNAStoredSampleDate;
    protected boolean onRTPCR;
    protected boolean onFish;
    protected boolean onFishFirst;
    protected String onFishPreviousResult;
    @Temporal(TemporalType.DATE)
    protected Date onFishPreviousDate;
    protected boolean onFishCML1; //első sor első oszlop
    protected boolean onFishCML2; //első sor második oszlop
    protected boolean onFishCML3; //második sor első oszlop
    protected boolean onFishCML4; //második sor második oszlop (mindenhol sorfolytonos a továbbiakban)
    protected boolean onFishCLL1;
    protected boolean onFishCLL2;
    protected boolean onFishCLL3;
    protected boolean onFishCLL4;
    protected boolean onFishMDS1;
    protected boolean onFishMDS2;
    protected boolean onFishMDS3;
    protected boolean onFishMDS4;
    protected boolean onFishMDS5;
    protected boolean onFishMDS6;
    protected boolean onFishMyeloma1;
    protected boolean onFishMyeloma2;
    protected boolean onFishMyeloma3;
    protected boolean onFishMyeloma4;
    protected boolean onFishAML1;
    protected boolean onFishAML2;
    protected boolean onFishAML3;
    protected boolean onFishAML4;
    protected boolean onFishAML5;
    protected boolean onFishAML6;
    protected boolean onFishAML7;
    protected boolean onFishAML8;
    protected boolean onFishALL1;
    protected boolean onFishALL2;
    protected boolean onFishALL3;
    protected boolean onFishALL4;
    protected boolean onFishALL5;
    protected boolean onFishALL6;
    protected boolean onFishALL7;
    protected String onComment;
    protected String onDoctor;
    protected Double onBlastPercentBone;
    protected Double onBlastPercentPeriphery;

    // <editor-fold defaultstate="collapsed" desc="Getters and Setters">


    public Double getOnBlastPercentBone() {
        return onBlastPercentBone;
    }

    public void setOnBlastPercentBone(Double onBlastPercentBone) {
        this.onBlastPercentBone = onBlastPercentBone;
    }

    public Double getOnBlastPercentPeriphery() {
        return onBlastPercentPeriphery;
    }

    public void setOnBlastPercentPeriphery(Double onBlastPercentPeriphery) {
        this.onBlastPercentPeriphery = onBlastPercentPeriphery;
    }

    /**
     * Get the value of onDoctor
     *
     * @return the value of onDoctor
     */
    public String getOnDoctor() {
        return onDoctor;
    }

    /**
     * Set the value of onDoctor
     *
     * @param onDoctor new value of onDoctor
     */
    public void setOnDoctor(String onDoctor) {
        this.onDoctor = onDoctor;
    }

    /**
     * Get the value of onComment
     *
     * @return the value of onComment
     */
    public String getOnComment() {
        return onComment;
    }

    /**
     * Set the value of onComment
     *
     * @param onComment new value of onComment
     */
    public void setOnComment(String onComment) {
        this.onComment = onComment;
    }

    /**
     * Get the value of onFishALL7
     *
     * @return the value of onFishALL7
     */
    public boolean isOnFishALL7() {
        return onFishALL7;
    }

    /**
     * Set the value of onFishALL7
     *
     * @param onFishALL7 new value of onFishALL7
     */
    public void setOnFishALL7(boolean onFishALL7) {
        this.onFishALL7 = onFishALL7;
    }

    /**
     * Get the value of onFishALL6
     *
     * @return the value of onFishALL6
     */
    public boolean isOnFishALL6() {
        return onFishALL6;
    }

    /**
     * Set the value of onFishALL6
     *
     * @param onFishALL6 new value of onFishALL6
     */
    public void setOnFishALL6(boolean onFishALL6) {
        this.onFishALL6 = onFishALL6;
    }

    /**
     * Get the value of onFishALL5
     *
     * @return the value of onFishALL5
     */
    public boolean isOnFishALL5() {
        return onFishALL5;
    }

    /**
     * Set the value of onFishALL5
     *
     * @param onFishALL5 new value of onFishALL5
     */
    public void setOnFishALL5(boolean onFishALL5) {
        this.onFishALL5 = onFishALL5;
    }

    /**
     * Get the value of onFishALL4
     *
     * @return the value of onFishALL4
     */
    public boolean isOnFishALL4() {
        return onFishALL4;
    }

    /**
     * Set the value of onFishALL4
     *
     * @param onFishALL4 new value of onFishALL4
     */
    public void setOnFishALL4(boolean onFishALL4) {
        this.onFishALL4 = onFishALL4;
    }

    /**
     * Get the value of onFishALL3
     *
     * @return the value of onFishALL3
     */
    public boolean isOnFishALL3() {
        return onFishALL3;
    }

    /**
     * Set the value of onFishALL3
     *
     * @param onFishALL3 new value of onFishALL3
     */
    public void setOnFishALL3(boolean onFishALL3) {
        this.onFishALL3 = onFishALL3;
    }

    /**
     * Get the value of onFishALL2
     *
     * @return the value of onFishALL2
     */
    public boolean isOnFishALL2() {
        return onFishALL2;
    }

    /**
     * Set the value of onFishALL2
     *
     * @param onFishALL2 new value of onFishALL2
     */
    public void setOnFishALL2(boolean onFishALL2) {
        this.onFishALL2 = onFishALL2;
    }

    /**
     * Get the value of onFishALL1
     *
     * @return the value of onFishALL1
     */
    public boolean isOnFishALL1() {
        return onFishALL1;
    }

    /**
     * Set the value of onFishALL1
     *
     * @param onFishALL1 new value of onFishALL1
     */
    public void setOnFishALL1(boolean onFishALL1) {
        this.onFishALL1 = onFishALL1;
    }

    /**
     * Get the value of onFishAML8
     *
     * @return the value of onFishAML8
     */
    public boolean isOnFishAML8() {
        return onFishAML8;
    }

    /**
     * Set the value of onFishAML8
     *
     * @param onFishAML8 new value of onFishAML8
     */
    public void setOnFishAML8(boolean onFishAML8) {
        this.onFishAML8 = onFishAML8;
    }

    /**
     * Get the value of onFishAML7
     *
     * @return the value of onFishAML7
     */
    public boolean isOnFishAML7() {
        return onFishAML7;
    }

    /**
     * Set the value of onFishAML7
     *
     * @param onFishAML7 new value of onFishAML7
     */
    public void setOnFishAML7(boolean onFishAML7) {
        this.onFishAML7 = onFishAML7;
    }

    /**
     * Get the value of onFishAML6
     *
     * @return the value of onFishAML6
     */
    public boolean isOnFishAML6() {
        return onFishAML6;
    }

    /**
     * Set the value of onFishAML6
     *
     * @param onFishAML6 new value of onFishAML6
     */
    public void setOnFishAML6(boolean onFishAML6) {
        this.onFishAML6 = onFishAML6;
    }

    /**
     * Get the value of onFishAML5
     *
     * @return the value of onFishAML5
     */
    public boolean isOnFishAML5() {
        return onFishAML5;
    }

    /**
     * Set the value of onFishAML5
     *
     * @param onFishAML5 new value of onFishAML5
     */
    public void setOnFishAML5(boolean onFishAML5) {
        this.onFishAML5 = onFishAML5;
    }

    /**
     * Get the value of onFishAML4
     *
     * @return the value of onFishAML4
     */
    public boolean isOnFishAML4() {
        return onFishAML4;
    }

    /**
     * Set the value of onFishAML4
     *
     * @param onFishAML4 new value of onFishAML4
     */
    public void setOnFishAML4(boolean onFishAML4) {
        this.onFishAML4 = onFishAML4;
    }

    /**
     * Get the value of onFishAML3
     *
     * @return the value of onFishAML3
     */
    public boolean isOnFishAML3() {
        return onFishAML3;
    }

    /**
     * Set the value of onFishAML3
     *
     * @param onFishAML3 new value of onFishAML3
     */
    public void setOnFishAML3(boolean onFishAML3) {
        this.onFishAML3 = onFishAML3;
    }

    /**
     * Get the value of onFishAML2
     *
     * @return the value of onFishAML2
     */
    public boolean isOnFishAML2() {
        return onFishAML2;
    }

    /**
     * Set the value of onFishAML2
     *
     * @param onFishAML2 new value of onFishAML2
     */
    public void setOnFishAML2(boolean onFishAML2) {
        this.onFishAML2 = onFishAML2;
    }

    /**
     * Get the value of onFishAML1
     *
     * @return the value of onFishAML1
     */
    public boolean isOnFishAML1() {
        return onFishAML1;
    }

    /**
     * Set the value of onFishAML1
     *
     * @param onFishAML1 new value of onFishAML1
     */
    public void setOnFishAML1(boolean onFishAML1) {
        this.onFishAML1 = onFishAML1;
    }

    /**
     * Get the value of onFishMyeloma4
     *
     * @return the value of onFishMyeloma4
     */
    public boolean isOnFishMyeloma4() {
        return onFishMyeloma4;
    }

    /**
     * Set the value of onFishMyeloma4
     *
     * @param onFishMyeloma4 new value of onFishMyeloma4
     */
    public void setOnFishMyeloma4(boolean onFishMyeloma4) {
        this.onFishMyeloma4 = onFishMyeloma4;
    }

    /**
     * Get the value of onFishMyeloma3
     *
     * @return the value of onFishMyeloma3
     */
    public boolean isOnFishMyeloma3() {
        return onFishMyeloma3;
    }

    /**
     * Set the value of onFishMyeloma3
     *
     * @param onFishMyeloma3 new value of onFishMyeloma3
     */
    public void setOnFishMyeloma3(boolean onFishMyeloma3) {
        this.onFishMyeloma3 = onFishMyeloma3;
    }

    /**
     * Get the value of onFishMyeloma2
     *
     * @return the value of onFishMyeloma2
     */
    public boolean isOnFishMyeloma2() {
        return onFishMyeloma2;
    }

    /**
     * Set the value of onFishMyeloma2
     *
     * @param onFishMyeloma2 new value of onFishMyeloma2
     */
    public void setOnFishMyeloma2(boolean onFishMyeloma2) {
        this.onFishMyeloma2 = onFishMyeloma2;
    }

    /**
     * Get the value of onFishMyeloma1
     *
     * @return the value of onFishMyeloma1
     */
    public boolean isOnFishMyeloma1() {
        return onFishMyeloma1;
    }

    /**
     * Set the value of onFishMyeloma1
     *
     * @param onFishMyeloma1 new value of onFishMyeloma1
     */
    public void setOnFishMyeloma1(boolean onFishMyeloma1) {
        this.onFishMyeloma1 = onFishMyeloma1;
    }

    /**
     * Get the value of onFishMDS6
     *
     * @return the value of onFishMDS6
     */
    public boolean isOnFishMDS6() {
        return onFishMDS6;
    }

    /**
     * Set the value of onFishMDS6
     *
     * @param onFishMDS6 new value of onFishMDS6
     */
    public void setOnFishMDS6(boolean onFishMDS6) {
        this.onFishMDS6 = onFishMDS6;
    }

    /**
     * Get the value of onFishMDS5
     *
     * @return the value of onFishMDS5
     */
    public boolean isOnFishMDS5() {
        return onFishMDS5;
    }

    /**
     * Set the value of onFishMDS5
     *
     * @param onFishMDS5 new value of onFishMDS5
     */
    public void setOnFishMDS5(boolean onFishMDS5) {
        this.onFishMDS5 = onFishMDS5;
    }

    /**
     * Get the value of onFishMDS4
     *
     * @return the value of onFishMDS4
     */
    public boolean isOnFishMDS4() {
        return onFishMDS4;
    }

    /**
     * Set the value of onFishMDS4
     *
     * @param onFishMDS4 new value of onFishMDS4
     */
    public void setOnFishMDS4(boolean onFishMDS4) {
        this.onFishMDS4 = onFishMDS4;
    }

    /**
     * Get the value of onFishMDS3
     *
     * @return the value of onFishMDS3
     */
    public boolean isOnFishMDS3() {
        return onFishMDS3;
    }

    /**
     * Set the value of onFishMDS3
     *
     * @param onFishMDS3 new value of onFishMDS3
     */
    public void setOnFishMDS3(boolean onFishMDS3) {
        this.onFishMDS3 = onFishMDS3;
    }

    /**
     * Get the value of onFishMDS2
     *
     * @return the value of onFishMDS2
     */
    public boolean isOnFishMDS2() {
        return onFishMDS2;
    }

    /**
     * Set the value of onFishMDS2
     *
     * @param onFishMDS2 new value of onFishMDS2
     */
    public void setOnFishMDS2(boolean onFishMDS2) {
        this.onFishMDS2 = onFishMDS2;
    }

    /**
     * Get the value of onFishMDS1
     *
     * @return the value of onFishMDS1
     */
    public boolean isOnFishMDS1() {
        return onFishMDS1;
    }

    /**
     * Set the value of onFishMDS1
     *
     * @param onFishMDS1 new value of onFishMDS1
     */
    public void setOnFishMDS1(boolean onFishMDS1) {
        this.onFishMDS1 = onFishMDS1;
    }

    /**
     * Get the value of onFishCLL4
     *
     * @return the value of onFishCLL4
     */
    public boolean isOnFishCLL4() {
        return onFishCLL4;
    }

    /**
     * Set the value of onFishCLL4
     *
     * @param onFishCLL4 new value of onFishCLL4
     */
    public void setOnFishCLL4(boolean onFishCLL4) {
        this.onFishCLL4 = onFishCLL4;
    }

    /**
     * Get the value of onFishCLL3
     *
     * @return the value of onFishCLL3
     */
    public boolean isOnFishCLL3() {
        return onFishCLL3;
    }

    /**
     * Set the value of onFishCLL3
     *
     * @param onFishCLL3 new value of onFishCLL3
     */
    public void setOnFishCLL3(boolean onFishCLL3) {
        this.onFishCLL3 = onFishCLL3;
    }

    /**
     * Get the value of onFishCLL2
     *
     * @return the value of onFishCLL2
     */
    public boolean isOnFishCLL2() {
        return onFishCLL2;
    }

    /**
     * Set the value of onFishCLL2
     *
     * @param onFishCLL2 new value of onFishCLL2
     */
    public void setOnFishCLL2(boolean onFishCLL2) {
        this.onFishCLL2 = onFishCLL2;
    }

    /**
     * Get the value of onFishCLL1
     *
     * @return the value of onFishCLL1
     */
    public boolean isOnFishCLL1() {
        return onFishCLL1;
    }

    /**
     * Set the value of onFishCLL1
     *
     * @param onFishCLL1 new value of onFishCLL1
     */
    public void setOnFishCLL1(boolean onFishCLL1) {
        this.onFishCLL1 = onFishCLL1;
    }

    /**
     * Get the value of onFishCML4
     *
     * @return the value of onFishCML4
     */
    public boolean isOnFishCML4() {
        return onFishCML4;
    }

    /**
     * Set the value of onFishCML4
     *
     * @param onFishCML4 new value of onFishCML4
     */
    public void setOnFishCML4(boolean onFishCML4) {
        this.onFishCML4 = onFishCML4;
    }

    /**
     * Get the value of onFishCML3
     *
     * @return the value of onFishCML3
     */
    public boolean isOnFishCML3() {
        return onFishCML3;
    }

    /**
     * Set the value of onFishCML3
     *
     * @param onFishCML3 new value of onFishCML3
     */
    public void setOnFishCML3(boolean onFishCML3) {
        this.onFishCML3 = onFishCML3;
    }

    /**
     * Get the value of onFishCML2
     *
     * @return the value of onFishCML2
     */
    public boolean isOnFishCML2() {
        return onFishCML2;
    }

    /**
     * Set the value of onFishCML2
     *
     * @param onFishCML2 new value of onFishCML2
     */
    public void setOnFishCML2(boolean onFishCML2) {
        this.onFishCML2 = onFishCML2;
    }

    /**
     * Get the value of onFishCML1
     *
     * @return the value of onFishCML1
     */
    public boolean isOnFishCML1() {
        return onFishCML1;
    }

    /**
     * Set the value of onFishCML1
     *
     * @param onFishCML1 new value of onFishCML1
     */
    public void setOnFishCML1(boolean onFishCML1) {
        this.onFishCML1 = onFishCML1;
    }

    /**
     * Get the value of onFishPreviousDate
     *
     * @return the value of onFishPreviousDate
     */
    public Date getOnFishPreviousDate() {
        return onFishPreviousDate;
    }

    /**
     * Get the value of onFishPreviousDate
     *
     * @return the value of onFishPreviousDate
     */
    public String getOnFishPreviousDateForWeb() {
        try {
            return new SimpleDateFormat("yyyy. MM. dd.").format(onFishPreviousDate);
        } catch (Exception e) {
            return "";
        }
    }

    /**
     * Set the value of onFishPreviousDate
     *
     * @param onFishPreviousDate new value of onFishPreviousDate
     */
    public void setOnFishPreviousDate(Date onFishPreviousDate) {
        this.onFishPreviousDate = onFishPreviousDate;
    }

    /**
     * Get the value of onFishPreviousResult
     *
     * @return the value of onFishPreviousResult
     */
    public String getOnFishPreviousResult() {
        return onFishPreviousResult;
    }

    /**
     * Set the value of onFishPreviousResult
     *
     * @param onFishPreviousResult new value of onFishPreviousResult
     */
    public void setOnFishPreviousResult(String onFishPreviousResult) {
        this.onFishPreviousResult = onFishPreviousResult;
    }

    /**
     * Get the value of onFishFirst
     *
     * @return the value of onFishFirst
     */
    public boolean isOnFishFirst() {
        return onFishFirst;
    }

    /**
     * Set the value of onFishFirst
     *
     * @param onFishFirst new value of onFishFirst
     */
    public void setOnFishFirst(boolean onFishFirst) {
        this.onFishFirst = onFishFirst;
    }

    /**
     * Get the value of onFish
     *
     * @return the value of onFish
     */
    public boolean isOnFish() {
        return onFish;
    }

    /**
     * Set the value of onFish
     *
     * @param onFish new value of onFish
     */
    public void setOnFish(boolean onFish) {
        this.onFish = onFish;
    }

    /**
     * Get the value of onRTPCR
     *
     * @return the value of onRTPCR
     */
    public boolean isOnRTPCR() {
        return onRTPCR;
    }

    /**
     * Set the value of onRTPCR
     *
     * @param onRTPCR new value of onRTPCR
     */
    public void setOnRTPCR(boolean onRTPCR) {
        this.onRTPCR = onRTPCR;
    }

    /**
     * Get the value of onDNAStoredSampleDate
     *
     * @return the value of onDNAStoredSampleDate
     */
    public Date getOnDNAStoredSampleDate() {
        return onDNAStoredSampleDate;
    }

    /**
     * Get the value of onDNAStoredSampleDate
     *
     * @return the value of onDNAStoredSampleDate
     */
    public String getOnDNAStoredSampleDateForWeb() {
        try {
            return new SimpleDateFormat("yyyy. MM. dd.").format(onDNAStoredSampleDate);
        } catch (Exception e) {
            return "";
        }
    }

    /**
     * Set the value of onDNAStoredSampleDate
     *
     * @param onDNAStoredSampleDate new value of onDNAStoredSampleDate
     */
    public void setOnDNAStoredSampleDate(Date onDNAStoredSampleDate) {
        this.onDNAStoredSampleDate = onDNAStoredSampleDate;
    }

    /**
     * Get the value of onDNAStoredSample
     *
     * @return the value of onDNAStoredSample
     */
    public boolean isOnDNAStoredSample() {
        return onDNAStoredSample;
    }

    /**
     * Set the value of onDNAStoredSample
     *
     * @param onDNAStoredSample new value of onDNAStoredSample
     */
    public void setOnDNAStoredSample(boolean onDNAStoredSample) {
        this.onDNAStoredSample = onDNAStoredSample;
    }

    /**
     * Get the value of onDNAPreparation
     *
     * @return the value of onDNAPreparation
     */
    public boolean isOnDNAPreparation() {
        return onDNAPreparation;
    }

    /**
     * Set the value of onDNAPreparation
     *
     * @param onDNAPreparation new value of onDNAPreparation
     */
    public void setOnDNAPreparation(boolean onDNAPreparation) {
        this.onDNAPreparation = onDNAPreparation;
    }

    /**
     * Get the value of onCitPreviousDate
     *
     * @return the value of onCitPreviousDate
     */
    public Date getOnCitPreviousDate() {
        return onCitPreviousDate;
    }

    /**
     * Get the value of onCitPreviousDate
     *
     * @return the value of onCitPreviousDate
     */
    public String getOnCitPreviousDateForWeb() {
        try {
            return new SimpleDateFormat("yyyy. MM. dd.").format(onCitPreviousDate);
        } catch (Exception e) {
            return "";
        }
    }

    /**
     * Set the value of onCitPreviousDate
     *
     * @param onCitPreviousDate new value of onCitPreviousDate
     */
    public void setOnCitPreviousDate(Date onCitPreviousDate) {
        this.onCitPreviousDate = onCitPreviousDate;
    }

    /**
     * Get the value of onCitPreviousResult
     *
     * @return the value of onCitPreviousResult
     */
    public String getOnCitPreviousResult() {
        return onCitPreviousResult;
    }

    /**
     * Set the value of onCitPreviousResult
     *
     * @param onCitPreviousResult new value of onCitPreviousResult
     */
    public void setOnCitPreviousResult(String onCitPreviousResult) {
        this.onCitPreviousResult = onCitPreviousResult;
    }

    /**
     * Get the value of onCitFirst
     *
     * @return the value of onCitFirst
     */
    public boolean isOnCitFirst() {
        return onCitFirst;
    }

    /**
     * Set the value of onCitFirst
     *
     * @param onCitFirst new value of onCitFirst
     */
    public void setOnCitFirst(boolean onCitFirst) {
        this.onCitFirst = onCitFirst;
    }

    /**
     * Get the value of onCitTumor
     *
     * @return the value of onCitTumor
     */
    public boolean isOnCitTumor() {
        return onCitTumor;
    }

    /**
     * Set the value of onCitTumor
     *
     * @param onCitTumor new value of onCitTumor
     */
    public void setOnCitTumor(boolean onCitTumor) {
        this.onCitTumor = onCitTumor;
    }

    /**
     * Get the value of onCitBlood
     *
     * @return the value of onCitBlood
     */
    public boolean isOnCitBlood() {
        return onCitBlood;
    }

    /**
     * Set the value of onCitBlood
     *
     * @param onCitBlood new value of onCitBlood
     */
    public void setOnCitBlood(boolean onCitBlood) {
        this.onCitBlood = onCitBlood;
    }

    /**
     * Get the value of onCitBone
     *
     * @return the value of onCitBone
     */
    public boolean isOnCitBone() {
        return onCitBone;
    }

    /**
     * Set the value of onCitBone
     *
     * @param onCitBone new value of onCitBone
     */
    public void setOnCitBone(boolean onCitBone) {
        this.onCitBone = onCitBone;
    }

    /**
     * Get the value of onCitogenetical
     *
     * @return the value of onCitogenetical
     */
    public boolean isOnCitogenetical() {
        return onCitogenetical;
    }

    /**
     * Set the value of onCitogenetical
     *
     * @param onCitogenetical new value of onCitogenetical
     */
    public void setOnCitogenetical(boolean onCitogenetical) {
        this.onCitogenetical = onCitogenetical;
    }// </editor-fold>

    @Override
    public String getType() {
        return "onkohaem";
    }

    // <editor-fold defaultstate="collapsed" desc="XML conversion">

    @Override
    public void buildFromXml(Node node) throws Exception {
        throw new UnsupportedOperationException("Not supported yet.");
    }

    @Override
    public void buildFromXml(Node node, String string) throws Exception {
        throw new UnsupportedOperationException("Not supported yet.");
    }

    @Override
    public Node toXml(Document doc) throws Exception {
        return toXml(doc, "");
    }

    @Override
    public Node toXml(Document doc, String nameSpace) throws Exception {
        try {
            String prefix = nameSpace == null || nameSpace.isEmpty() ? "" : nameSpace + ":";
            Element analysis = doc.createElement(prefix + "analysis");
            analysis.setAttribute("objectType", this.objectType);
            this.setXmlCommonValues(doc, analysis);
            Element onkohaem = doc.createElement("oncohaemRequest");
            analysis.appendChild(onkohaem);
            onkohaem.appendChild(XmlToBeanConverter.getNodeWithValue(doc, "onCitogenetical", "" + onCitogenetical));
            onkohaem.appendChild(XmlToBeanConverter.getNodeWithValue(doc, "onCitBone", "" + onCitBone));
            onkohaem.appendChild(XmlToBeanConverter.getNodeWithValue(doc, "onCitBlood", "" + onCitBlood));
            onkohaem.appendChild(XmlToBeanConverter.getNodeWithValue(doc, "onCitTumor", "" + onCitTumor));
            onkohaem.appendChild(XmlToBeanConverter.getNodeWithValue(doc, "onCitFirst", "" + onCitFirst));
            onkohaem.appendChild(XmlToBeanConverter.getNodeWithValue(doc, "onCitPreviousResult", onCitPreviousResult));
            onkohaem.appendChild(XmlToBeanConverter.getNodeWithValue(doc, "onCitPreviousDate", this.getOnCitPreviousDateForWeb()));
            onkohaem.appendChild(XmlToBeanConverter.getNodeWithValue(doc, "onDNAPreparation", "" + onDNAPreparation));
            onkohaem.appendChild(XmlToBeanConverter.getNodeWithValue(doc, "onDNAStoredSample", "" + onDNAStoredSample));
            onkohaem.appendChild(XmlToBeanConverter.getNodeWithValue(doc, "onDNAStoredSampleDate", this.getOnDNAStoredSampleDateForWeb()));
            onkohaem.appendChild(XmlToBeanConverter.getNodeWithValue(doc, "onRTPCR", "" + onRTPCR));
            onkohaem.appendChild(XmlToBeanConverter.getNodeWithValue(doc, "onFish", "" + onFish));
            onkohaem.appendChild(XmlToBeanConverter.getNodeWithValue(doc, "onFishFirst", "" + onFishFirst));
            onkohaem.appendChild(XmlToBeanConverter.getNodeWithValue(doc, "onFishPreviousResult", onFishPreviousResult));
            onkohaem.appendChild(XmlToBeanConverter.getNodeWithValue(doc, "onFishPreviousDate", this.getOnFishPreviousDateForWeb()));
            onkohaem.appendChild(XmlToBeanConverter.getNodeWithValue(doc, "onFishCML1", "" + onFishCML1));
            onkohaem.appendChild(XmlToBeanConverter.getNodeWithValue(doc, "onFishCML2", "" + onFishCML2));
            onkohaem.appendChild(XmlToBeanConverter.getNodeWithValue(doc, "onFishCML3", "" + onFishCML3));
            onkohaem.appendChild(XmlToBeanConverter.getNodeWithValue(doc, "onFishCML4", "" + onFishCML4));
            onkohaem.appendChild(XmlToBeanConverter.getNodeWithValue(doc, "onFishCLL1", "" + onFishCLL1));
            onkohaem.appendChild(XmlToBeanConverter.getNodeWithValue(doc, "onFishCLL2", "" + onFishCLL2));
            onkohaem.appendChild(XmlToBeanConverter.getNodeWithValue(doc, "onFishCLL3", "" + onFishCLL3));
            onkohaem.appendChild(XmlToBeanConverter.getNodeWithValue(doc, "onFishCLL4", "" + onFishCLL4));
            onkohaem.appendChild(XmlToBeanConverter.getNodeWithValue(doc, "onFishMDS1", "" + onFishMDS1));
            onkohaem.appendChild(XmlToBeanConverter.getNodeWithValue(doc, "onFishMDS2", "" + onFishMDS2));
            onkohaem.appendChild(XmlToBeanConverter.getNodeWithValue(doc, "onFishMDS3", "" + onFishMDS3));
            onkohaem.appendChild(XmlToBeanConverter.getNodeWithValue(doc, "onFishMDS4", "" + onFishMDS4));
            onkohaem.appendChild(XmlToBeanConverter.getNodeWithValue(doc, "onFishMDS5", "" + onFishMDS5));
            onkohaem.appendChild(XmlToBeanConverter.getNodeWithValue(doc, "onFishMDS6", "" + onFishMDS6));
            onkohaem.appendChild(XmlToBeanConverter.getNodeWithValue(doc, "onFishMyeloma1", "" + onFishMyeloma1));
            onkohaem.appendChild(XmlToBeanConverter.getNodeWithValue(doc, "onFishMyeloma2", "" + onFishMyeloma2));
            onkohaem.appendChild(XmlToBeanConverter.getNodeWithValue(doc, "onFishMyeloma3", "" + onFishMyeloma3));
            onkohaem.appendChild(XmlToBeanConverter.getNodeWithValue(doc, "onFishMyeloma4", "" + onFishMyeloma4));
            onkohaem.appendChild(XmlToBeanConverter.getNodeWithValue(doc, "onFishAML1", "" + onFishAML1));
            onkohaem.appendChild(XmlToBeanConverter.getNodeWithValue(doc, "onFishAML2", "" + onFishAML2));
            onkohaem.appendChild(XmlToBeanConverter.getNodeWithValue(doc, "onFishAML3", "" + onFishAML3));
            onkohaem.appendChild(XmlToBeanConverter.getNodeWithValue(doc, "onFishAML4", "" + onFishAML4));
            onkohaem.appendChild(XmlToBeanConverter.getNodeWithValue(doc, "onFishAML5", "" + onFishAML5));
            onkohaem.appendChild(XmlToBeanConverter.getNodeWithValue(doc, "onFishAML6", "" + onFishAML6));
            onkohaem.appendChild(XmlToBeanConverter.getNodeWithValue(doc, "onFishAML7", "" + onFishAML7));
            onkohaem.appendChild(XmlToBeanConverter.getNodeWithValue(doc, "onFishAML8", "" + onFishAML8));
            onkohaem.appendChild(XmlToBeanConverter.getNodeWithValue(doc, "onFishALL1", "" + onFishALL1));
            onkohaem.appendChild(XmlToBeanConverter.getNodeWithValue(doc, "onFishALL2", "" + onFishALL2));
            onkohaem.appendChild(XmlToBeanConverter.getNodeWithValue(doc, "onFishALL3", "" + onFishALL3));
            onkohaem.appendChild(XmlToBeanConverter.getNodeWithValue(doc, "onFishALL4", "" + onFishALL4));
            onkohaem.appendChild(XmlToBeanConverter.getNodeWithValue(doc, "onFishALL5", "" + onFishALL5));
            onkohaem.appendChild(XmlToBeanConverter.getNodeWithValue(doc, "onFishALL6", "" + onFishALL6));
            onkohaem.appendChild(XmlToBeanConverter.getNodeWithValue(doc, "onFishALL7", "" + onFishALL7));
            onkohaem.appendChild(XmlToBeanConverter.getNodeWithValue(doc, "onComment", onComment));
            onkohaem.appendChild(XmlToBeanConverter.getNodeWithValue(doc, "onDoctor", onDoctor));
            onkohaem.appendChild(XmlToBeanConverter.getNodeWithValue(doc, "onBlastPercentBone", onBlastPercentBone != null ? "" + onBlastPercentBone : ""));
            onkohaem.appendChild(XmlToBeanConverter.getNodeWithValue(doc, "onBlastPercentPeriphery", onBlastPercentPeriphery != null ? "" + onBlastPercentPeriphery : ""));
            analysis.appendChild(patient.toXml(doc));
            Element biobankData = doc.createElement("biobankData");
            analysis.appendChild(biobankData);
            biobankData.appendChild(this.getLabels().toXml(doc));
            setXmlMetaData(doc, biobankData);
            return analysis;
        } catch (Exception ex) {
            ex.printStackTrace();
            throw ex;
        }
    }// </editor-fold>

    // <editor-fold defaultstate="collapsed" desc="Toucan request processing">

    @Override
    public void convert(HttpServletRequest request) throws Exception {
        super.convert(request);
        onCitogenetical = false;
        onCitBone = false;
        onCitBlood = false;
        onCitTumor = false;
        onCitFirst = false;
        onDNAPreparation = false;
        onDNAStoredSample = false;
        onRTPCR = false;
        onFish = false;
        onFishFirst = false;
        onFishCML1 = false;
        onFishCML2 = false;
        onFishCML3 = false;
        onFishCML4 = false;
        onFishCLL1 = false;
        onFishCLL2 = false;
        onFishCLL3 = false;
        onFishCLL4 = false;
        onFishMDS1 = false;
        onFishMDS2 = false;
        onFishMDS3 = false;
        onFishMDS4 = false;
        onFishMDS5 = false;
        onFishMDS6 = false;
        onFishMyeloma1 = false;
        onFishMyeloma2 = false;
        onFishMyeloma3 = false;
        onFishMyeloma4 = false;
        onFishAML1 = false;
        onFishAML2 = false;
        onFishAML3 = false;
        onFishAML4 = false;
        onFishAML5 = false;
        onFishAML6 = false;
        onFishAML7 = false;
        onFishAML8 = false;
        onFishALL1 = false;
        onFishALL2 = false;
        onFishALL3 = false;
        onFishALL4 = false;
        onFishALL5 = false;
        onFishALL6 = false;
        onFishALL7 = false;
        requestParser.parseRequest(AnalysisRequestOnkohaematology.class, this);
        if (this.createdOn == null) {
            this.createdOn = new Date();
        }
    }// </editor-fold>
}
